com.genesyslab.wfm7.API.service.scheduleTrade750

## Class SchTradeProposalHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.scheduleTrade750.SchTradeProposalHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTradeProposalHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgAgentShort[]` | `cfgAgentInfo`
    `private int` | `cfgAgentInfoNSizeIs`
    `private CfgContractShort[]` | `cfgContractInfo`
    `private int` | `cfgContractInfoNSizeIs`
    `private CfgTeamShort[]` | `cfgTeamInfo`
    `private int` | `cfgTeamInfoNSizeIs`
    `private SchAgentDay[]` | `schAgentDay`
    `private int` | `schAgentDayNSizeIs`
    `private SchAgentDayShort[]` | `schAgentDayShort`
    `private int` | `schAgentDayShortNSizeIs`
    `private SchStateInfo[]` | `schStateInfo`
    `private int` | `schStateInfoNSizeIs`
    `private SchTradeProposal[]` | `schTradeProposal`
    `private int` | `schTradeProposalNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTradeProposalHolder()`
    `SchTradeProposalHolder(int schTradeProposalNSizeIs, SchTradeProposal[] schTradeProposal, int schAgentDayNSizeIs, SchAgentDay[] schAgentDay, int schAgentDayShortNSizeIs, SchAgentDayShort[] schAgentDayShort, int schStateInfoNSizeIs, SchStateInfo[] schStateInfo, int cfgAgentInfoNSizeIs, CfgAgentShort[] cfgAgentInfo, int cfgTeamInfoNSizeIs, CfgTeamShort[] cfgTeamInfo, int cfgContractInfoNSizeIs, CfgContractShort[] cfgContractInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgAgentShort[]` | `getCfgAgentInfo()` Gets the cfgAgentInfo value for this SchTradeProposalHolder.
    `int` | `getCfgAgentInfoNSizeIs()` Gets the cfgAgentInfoNSizeIs value for this SchTradeProposalHolder.
    `CfgContractShort[]` | `getCfgContractInfo()` Gets the cfgContractInfo value for this SchTradeProposalHolder.
    `int` | `getCfgContractInfoNSizeIs()` Gets the cfgContractInfoNSizeIs value for this SchTradeProposalHolder.
    `CfgTeamShort[]` | `getCfgTeamInfo()` Gets the cfgTeamInfo value for this SchTradeProposalHolder.
    `int` | `getCfgTeamInfoNSizeIs()` Gets the cfgTeamInfoNSizeIs value for this SchTradeProposalHolder.
    `SchAgentDay[]` | `getSchAgentDay()` Gets the schAgentDay value for this SchTradeProposalHolder.
    `int` | `getSchAgentDayNSizeIs()` Gets the schAgentDayNSizeIs value for this SchTradeProposalHolder.
    `SchAgentDayShort[]` | `getSchAgentDayShort()` Gets the schAgentDayShort value for this SchTradeProposalHolder.
    `int` | `getSchAgentDayShortNSizeIs()` Gets the schAgentDayShortNSizeIs value for this SchTradeProposalHolder.
    `SchStateInfo[]` | `getSchStateInfo()` Gets the schStateInfo value for this SchTradeProposalHolder.
    `int` | `getSchStateInfoNSizeIs()` Gets the schStateInfoNSizeIs value for this SchTradeProposalHolder.
    `SchTradeProposal[]` | `getSchTradeProposal()` Gets the schTradeProposal value for this SchTradeProposalHolder.
    `int` | `getSchTradeProposalNSizeIs()` Gets the schTradeProposalNSizeIs value for this SchTradeProposalHolder.
    `int` | `hashCode()`
    `void` | `setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)` Sets the cfgAgentInfo value for this SchTradeProposalHolder.
    `void` | `setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)` Sets the cfgAgentInfoNSizeIs value for this SchTradeProposalHolder.
    `void` | `setCfgContractInfo(CfgContractShort[] cfgContractInfo)` Sets the cfgContractInfo value for this SchTradeProposalHolder.
    `void` | `setCfgContractInfoNSizeIs(int cfgContractInfoNSizeIs)` Sets the cfgContractInfoNSizeIs value for this SchTradeProposalHolder.
    `void` | `setCfgTeamInfo(CfgTeamShort[] cfgTeamInfo)` Sets the cfgTeamInfo value for this SchTradeProposalHolder.
    `void` | `setCfgTeamInfoNSizeIs(int cfgTeamInfoNSizeIs)` Sets the cfgTeamInfoNSizeIs value for this SchTradeProposalHolder.
    `void` | `setSchAgentDay(SchAgentDay[] schAgentDay)` Sets the schAgentDay value for this SchTradeProposalHolder.
    `void` | `setSchAgentDayNSizeIs(int schAgentDayNSizeIs)` Sets the schAgentDayNSizeIs value for this SchTradeProposalHolder.
    `void` | `setSchAgentDayShort(SchAgentDayShort[] schAgentDayShort)` Sets the schAgentDayShort value for this SchTradeProposalHolder.
    `void` | `setSchAgentDayShortNSizeIs(int schAgentDayShortNSizeIs)` Sets the schAgentDayShortNSizeIs value for this SchTradeProposalHolder.
    `void` | `setSchStateInfo(SchStateInfo[] schStateInfo)` Sets the schStateInfo value for this SchTradeProposalHolder.
    `void` | `setSchStateInfoNSizeIs(int schStateInfoNSizeIs)` Sets the schStateInfoNSizeIs value for this SchTradeProposalHolder.
    `void` | `setSchTradeProposal(SchTradeProposal[] schTradeProposal)` Sets the schTradeProposal value for this SchTradeProposalHolder.
    `void` | `setSchTradeProposalNSizeIs(int schTradeProposalNSizeIs)` Sets the schTradeProposalNSizeIs value for this SchTradeProposalHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### schTradeProposalNSizeIs

          private int schTradeProposalNSizeIs

    - #### schTradeProposal

          private SchTradeProposal[] schTradeProposal

    - #### schAgentDayNSizeIs

          private int schAgentDayNSizeIs

    - #### schAgentDay

          private SchAgentDay[] schAgentDay

    - #### schAgentDayShortNSizeIs

          private int schAgentDayShortNSizeIs

    - #### schAgentDayShort

          private SchAgentDayShort[] schAgentDayShort

    - #### schStateInfoNSizeIs

          private int schStateInfoNSizeIs

    - #### schStateInfo

          private SchStateInfo[] schStateInfo

    - #### cfgAgentInfoNSizeIs

          private int cfgAgentInfoNSizeIs

    - #### cfgAgentInfo

          private CfgAgentShort[] cfgAgentInfo

    - #### cfgTeamInfoNSizeIs

          private int cfgTeamInfoNSizeIs

    - #### cfgTeamInfo

          private CfgTeamShort[] cfgTeamInfo

    - #### cfgContractInfoNSizeIs

          private int cfgContractInfoNSizeIs

    - #### cfgContractInfo

          private CfgContractShort[] cfgContractInfo

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchTradeProposalHolder

          public SchTradeProposalHolder()

    - #### SchTradeProposalHolder

          public SchTradeProposalHolder(int schTradeProposalNSizeIs,
                                SchTradeProposal[] schTradeProposal,
                                int schAgentDayNSizeIs,
                                SchAgentDay[] schAgentDay,
                                int schAgentDayShortNSizeIs,
                                SchAgentDayShort[] schAgentDayShort,
                                int schStateInfoNSizeIs,
                                SchStateInfo[] schStateInfo,
                                int cfgAgentInfoNSizeIs,
                                CfgAgentShort[] cfgAgentInfo,
                                int cfgTeamInfoNSizeIs,
                                CfgTeamShort[] cfgTeamInfo,
                                int cfgContractInfoNSizeIs,
                                CfgContractShort[] cfgContractInfo)

  - ### Method Detail

    - #### getSchTradeProposalNSizeIs

          public int getSchTradeProposalNSizeIs()

      Gets the schTradeProposalNSizeIs value for this SchTradeProposalHolder.
      Returns:
        schTradeProposalNSizeIs Proposal array size

    - #### setSchTradeProposalNSizeIs

          public void setSchTradeProposalNSizeIs(int schTradeProposalNSizeIs)

      Sets the schTradeProposalNSizeIs value for this SchTradeProposalHolder.
      Parameters:
        `schTradeProposalNSizeIs` - Proposal array size

    - #### getSchTradeProposal

          public SchTradeProposal[] getSchTradeProposal()

      Gets the schTradeProposal value for this SchTradeProposalHolder.
      Returns:
        schTradeProposal Trade proposals

    - #### setSchTradeProposal

          public void setSchTradeProposal(SchTradeProposal[] schTradeProposal)

      Sets the schTradeProposal value for this SchTradeProposalHolder.
      Parameters:
        `schTradeProposal` - Trade proposals

    - #### getSchAgentDayNSizeIs

          public int getSchAgentDayNSizeIs()

      Gets the schAgentDayNSizeIs value for this SchTradeProposalHolder.
      Returns:
        schAgentDayNSizeIs Agent array size

    - #### setSchAgentDayNSizeIs

          public void setSchAgentDayNSizeIs(int schAgentDayNSizeIs)

      Sets the schAgentDayNSizeIs value for this SchTradeProposalHolder.
      Parameters:
        `schAgentDayNSizeIs` - Agent array size

    - #### getSchAgentDay

          public SchAgentDay[] getSchAgentDay()

      Gets the schAgentDay value for this SchTradeProposalHolder.
      Returns:
        schAgentDay Contains agent day schedules or is null depending on schStateLayout parameter.

    - #### setSchAgentDay

          public void setSchAgentDay(SchAgentDay[] schAgentDay)

      Sets the schAgentDay value for this SchTradeProposalHolder.
      Parameters:
        `schAgentDay` - Contains agent day schedules or is null depending on schStateLayout parameter.

    - #### getSchAgentDayShortNSizeIs

          public int getSchAgentDayShortNSizeIs()

      Gets the schAgentDayShortNSizeIs value for this SchTradeProposalHolder.
      Returns:
        schAgentDayShortNSizeIs Agent schedule array size

    - #### setSchAgentDayShortNSizeIs

          public void setSchAgentDayShortNSizeIs(int schAgentDayShortNSizeIs)

      Sets the schAgentDayShortNSizeIs value for this SchTradeProposalHolder.
      Parameters:
        `schAgentDayShortNSizeIs` - Agent schedule array size

    - #### getSchAgentDayShort

          public SchAgentDayShort[] getSchAgentDayShort()

      Gets the schAgentDayShort value for this SchTradeProposalHolder.
      Returns:
        schAgentDayShort Contains agent day schedules or is null depending on schStateLayout parameter.

    - #### setSchAgentDayShort

          public void setSchAgentDayShort(SchAgentDayShort[] schAgentDayShort)

      Sets the schAgentDayShort value for this SchTradeProposalHolder.
      Parameters:
        `schAgentDayShort` - Contains agent day schedules or is null depending on schStateLayout parameter.

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the schStateInfoNSizeIs value for this SchTradeProposalHolder.
      Returns:
        schStateInfoNSizeIs Schedule state array size

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int schStateInfoNSizeIs)

      Sets the schStateInfoNSizeIs value for this SchTradeProposalHolder.
      Parameters:
        `schStateInfoNSizeIs` - Schedule state array size

    - #### getSchStateInfo

          public SchStateInfo[] getSchStateInfo()

      Gets the schStateInfo value for this SchTradeProposalHolder.
      Returns:
        schStateInfo Contains schedule state descriptions

    - #### setSchStateInfo

          public void setSchStateInfo(SchStateInfo[] schStateInfo)

      Sets the schStateInfo value for this SchTradeProposalHolder.
      Parameters:
        `schStateInfo` - Contains schedule state descriptions

    - #### getCfgAgentInfoNSizeIs

          public int getCfgAgentInfoNSizeIs()

      Gets the cfgAgentInfoNSizeIs value for this SchTradeProposalHolder.
      Returns:
        cfgAgentInfoNSizeIs Agent array size

    - #### setCfgAgentInfoNSizeIs

          public void setCfgAgentInfoNSizeIs(int cfgAgentInfoNSizeIs)

      Sets the cfgAgentInfoNSizeIs value for this SchTradeProposalHolder.
      Parameters:
        `cfgAgentInfoNSizeIs` - Agent array size

    - #### getCfgAgentInfo

          public CfgAgentShort[] getCfgAgentInfo()

      Gets the cfgAgentInfo value for this SchTradeProposalHolder.
      Returns:
        cfgAgentInfo Short agent info for every unique agent in trade proposal result set. Has a null value if agent info was not requested.

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(CfgAgentShort[] cfgAgentInfo)

      Sets the cfgAgentInfo value for this SchTradeProposalHolder.
      Parameters:
        `cfgAgentInfo` - Short agent info for every unique agent in trade proposal result set. Has a null value if agent info was not requested.

    - #### getCfgTeamInfoNSizeIs

          public int getCfgTeamInfoNSizeIs()

      Gets the cfgTeamInfoNSizeIs value for this SchTradeProposalHolder.
      Returns:
        cfgTeamInfoNSizeIs Team array size

    - #### setCfgTeamInfoNSizeIs

          public void setCfgTeamInfoNSizeIs(int cfgTeamInfoNSizeIs)

      Sets the cfgTeamInfoNSizeIs value for this SchTradeProposalHolder.
      Parameters:
        `cfgTeamInfoNSizeIs` - Team array size

    - #### getCfgTeamInfo

          public CfgTeamShort[] getCfgTeamInfo()

      Gets the cfgTeamInfo value for this SchTradeProposalHolder.
      Returns:
        cfgTeamInfo Short team info for every unique agent's team in trade proposal result set. Has a null value if team info was not requested.

    - #### setCfgTeamInfo

          public void setCfgTeamInfo(CfgTeamShort[] cfgTeamInfo)

      Sets the cfgTeamInfo value for this SchTradeProposalHolder.
      Parameters:
        `cfgTeamInfo` - Short team info for every unique agent's team in trade proposal result set. Has a null value if team info was not requested.

    - #### getCfgContractInfoNSizeIs

          public int getCfgContractInfoNSizeIs()

      Gets the cfgContractInfoNSizeIs value for this SchTradeProposalHolder.
      Returns:
        cfgContractInfoNSizeIs Contract array size

    - #### setCfgContractInfoNSizeIs

          public void setCfgContractInfoNSizeIs(int cfgContractInfoNSizeIs)

      Sets the cfgContractInfoNSizeIs value for this SchTradeProposalHolder.
      Parameters:
        `cfgContractInfoNSizeIs` - Contract array size

    - #### getCfgContractInfo

          public CfgContractShort[] getCfgContractInfo()

      Gets the cfgContractInfo value for this SchTradeProposalHolder.
      Returns:
        cfgContractInfo Short contract info for every unique agent's contract in trade proposal result set. Has a null value if contract info was not requested.

    - #### setCfgContractInfo

          public void setCfgContractInfo(CfgContractShort[] cfgContractInfo)

      Sets the cfgContractInfo value for this SchTradeProposalHolder.
      Parameters:
        `cfgContractInfo` - Short contract info for every unique agent's contract in trade proposal result set. Has a null value if contract info was not requested.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.